#!/bin/sh
SCRIPTS_PATH=$1

FILESERVER_BASE_URL=$2
ENVIRONMENT_BASE_URI=$3

APIKEY_NORG_0=$4
APIKEY_NORG_1=$5
APIKEY_NORG_20=$6
APIKEY_NORG_53=$7
APIKEY_NORG_3260=$8
APIKEY_NORG_3273=$9

echo 'Update environment.xml --------------------------------------------------'

$SCRIPTS_PATH/replace.sh "<>ENVIRONMENT_BASE_URI<>"  "$ENVIRONMENT_BASE_URI"    "environment.xml"
$SCRIPTS_PATH/replace.sh "<>PARAM_BASE_URI<>"        "$ENVIRONMENT_BASE_URI"    "environment.xml"
$SCRIPTS_PATH/replace.sh "<>FILESERVER_BASE_URL<>"   "$FILESERVER_BASE_URL"     "environment.xml"

echo 'Update parameters.xml --------------------------------------------------'
$SCRIPTS_PATH/replace.sh "<>NRORG_0_API_KEY<>"          "$APIKEY_NORG_0"            "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_1_API_KEY<>"          "$APIKEY_NORG_1"            "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_20_API_KEY<>"         "$APIKEY_NORG_20"           "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_53_API_KEY<>"         "$APIKEY_NORG_53"           "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_3260_API_KEY<>"       "$APIKEY_NORG_3260"         "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_3273_API_KEY<>"       "$APIKEY_NORG_3273"         "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>FILESERVER_BASE_URL<>"      "$FILESERVER_BASE_URL"      "parameters.xml"
