/* eslint-disable */
import { ZdComponentRender } from '@zeedhi/vuetify';
import { Component, Prop } from 'vue-property-decorator';
import { ListPickerClass } from './common/ListPickerClass';

@Component
export default class ZdCalendar extends ZdComponentRender {
  public instance!: ListPickerClass;

  public instanceType: typeof ListPickerClass = ListPickerClass;

  @Prop() public firstFilter?: string;

  @Prop() public secFilter?: string;

  @Prop() public type?: string;

  @Prop() public dataText?: string;

  @Prop() public dataValue?: string;

  @Prop() public datasource?: Array<any>;

  @Prop() public data?: any;

  public value: any = [];

  mounted() {
    if (Object.keys(this.instance.datasource).includes('type') && this.instance.datasource.type === 'rest') {
      this.instance.type = "rest";
      this.instance.valueToDisplay = (option: any) => option[this.instance.dataText];
      this.instance.elementValue = (option: any) => option[this.instance.dataValue];
    }
    this.instance.data = this.instance.datasource.data;
  }
  
  public change() {
    this.instance.change();
  }
}
